import { Asset, AssetSymbol, ChainKey, XcmConfigBuilder } from '@moonbeam-network/xcm-config';
import { UnsubscribePromise } from '@polkadot/api/types';
import { AssetBalanceInfo, PolkadotService } from '../polkadot';
import { XcmSdkDeposit, XcmSdkWithdraw } from './sdk.interfaces';
export declare function isXcmSdkDeposit(config: XcmSdkDeposit | XcmSdkWithdraw): config is XcmSdkDeposit;
export declare function isXcmSdkWithdraw(config: XcmSdkDeposit | XcmSdkWithdraw): config is XcmSdkWithdraw;
export declare function toDecimal(number: bigint, decimals: number, maxDecimal?: number): number;
export declare function sortByBalanceAndChainName<Symbols extends AssetSymbol>(a: AssetBalanceInfo<Symbols>, b: AssetBalanceInfo<Symbols>): number;
export interface SubscribeToAssetsBalanceInfoParams<Symbols extends AssetSymbol, ChainKeys extends ChainKey> {
    account: string;
    polkadot: PolkadotService<Symbols, ChainKeys>;
    configBuilder: XcmConfigBuilder<Symbols, ChainKeys>;
    cb: (data: AssetBalanceInfo<Symbols>[]) => void;
}
export declare function subscribeToAssetsBalanceInfo<Symbols extends AssetSymbol, ChainKeys extends ChainKey>({ account, polkadot, configBuilder, cb, }: SubscribeToAssetsBalanceInfoParams<Symbols, ChainKeys>): UnsubscribePromise;
export declare function createDummyAsset(symbol: AssetSymbol): Asset<AssetSymbol>;
