import { Asset, AssetSymbol, Chain, ChainKey, MoonChain, WithdrawConfig } from '@moonbeam-network/xcm-config';
import { Signer as EthersSigner } from 'ethers';
import { XTokensContract } from '../contracts';
import { PolkadotService } from '../polkadot';
import { ExtrinsicEventsCallback, Hash, WithdrawTransferData } from './sdk.interfaces';
export declare function createTransactionEventHandler(ethersSigner: EthersSigner, txHash: Hash, cb: ExtrinsicEventsCallback, skipSentEvent?: boolean): Promise<void>;
export interface GetWithdrawDataParams<Symbols extends AssetSymbol, ChainKeys extends ChainKey> {
    asset: Asset<Symbols>;
    config: WithdrawConfig<Symbols>;
    contract: XTokensContract;
    destinationAccount: string;
    destinationPolkadot: PolkadotService<Symbols, ChainKeys>;
    ethersSigner: EthersSigner;
    moonChain: MoonChain;
    nativeAsset: Asset<Symbols>;
    origin: MoonChain | Chain<ChainKeys>;
    polkadot: PolkadotService<Symbols, ChainKeys>;
}
export declare function getWithdrawData<Symbols extends AssetSymbol, ChainKeys extends ChainKey>({ asset, config, contract, destinationAccount, destinationPolkadot, ethersSigner, moonChain, nativeAsset, origin, polkadot, }: GetWithdrawDataParams<Symbols, ChainKeys>): Promise<WithdrawTransferData<Symbols>>;
export declare function getFee<Symbols extends AssetSymbol>(assetMinBalance: bigint, config: WithdrawConfig<Symbols>): bigint;
export declare function getMin(balanceNeeded: bigint, destinationBalance: bigint, destinationFee: bigint): bigint;
